<template>
   <div class="modal-dialog  modal-dialog-centered">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Cập nhật trạng thái đơn hàng</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
           <select v-model="update.status" class="form-select" aria-label="Default select example">
                <template v-for="(item,index) in status" :key="index">
                    <option :disabled="item.key < order.status" :selected="order.status == item.key" :value="item.key" >{{ item.text }}</option>
                </template>
            </select>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Đóng</button>
            <button v-on:click="updateOrder()" type="button" class="btn btn-primary">Cập nhật</button>
        </div>
    </div>
  </div>
</template>

<script>
    export default {
        name: 'modal-update-status',
        data(){
            return {
                update: {
                    status: 0,
                    id: 0
                }
            }
        },
        props:{
            order: {
                type: Object,
                required: true
            },
            status: {
                type: Array,
                required: true
            }
        },
        methods:{
            updateOrder(){
                this.$store.dispatch('updateOrder', this.update).then(res => {
                    if(res.status === 200) {
                        location.reload();
                    }
                })
            }
        },
        mounted() {;
            this.update.id = this.order.id;
            this.update.status = this.order.status;
            console.log(this.status);
        }
    }
</script>
<style lang="scss">

</style>